### Method

# Camel FilterDriver remove_rule_by_name

#### Declaration [src]

    gboolean
    camel_filter_driver_remove_rule_by_name (
      CamelFilterDriver* d,
      const gchar* name
    )

#### Description [src]

Removes a rule by name, added by camel_filter_driver_add_rule().

#### Parameters

`name`

  Type: `const gchar*`

  Rule name.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

Whether the rule had been found and removed.